from typing import List

from currency_codes.models import Currency


def get_fiat_currencies() -> List[Currency]:
    """Provides a list of fiat currencies

    Returns:
        List of Currency: list of fiat currencies
    """

    return _fiat_currencies


_fiat_currencies: List[Currency] = [
    Currency(
        name="Afghani",
        code="AFN",
        minor_units=2,
        state="active",
        launched_in=1927,
        numeric_code="971",
    ),
    Currency(
        name="Euro",
        code="EUR",
        minor_units=2,
        state="active",
        launched_in=1999,
        numeric_code="978",
    ),
    Currency(
        name="Lek",
        code="ALL",
        minor_units=2,
        state="active",
        launched_in=1926,
        numeric_code="008",
    ),
    Currency(
        name="Algerian Dinar",
        code="DZD",
        minor_units=2,
        state="active",
        launched_in=1964,
        numeric_code="012",
    ),
    Currency(
        name="US Dollar",
        code="USD",
        minor_units=2,
        state="active",
        launched_in=1792,
        numeric_code="840",
    ),
    Currency(
        name="Kwanza",
        code="AOA",
        minor_units=2,
        state="active",
        launched_in=1977,
        numeric_code="973",
    ),
    Currency(
        name="East Caribbean Dollar",
        code="XCD",
        minor_units=2,
        state="active",
        launched_in=1965,
        numeric_code="951",
    ),
    Currency(
        name="Argentine Peso",
        code="ARS",
        minor_units=2,
        state="active",
        launched_in=1992,
        numeric_code="032",
    ),
    Currency(
        name="Armenian Dram",
        code="AMD",
        minor_units=2,
        state="active",
        launched_in=1993,
        numeric_code="051",
    ),
    Currency(
        name="Aruban Florin",
        code="AWG",
        minor_units=2,
        state="active",
        launched_in=1986,
        numeric_code="533",
    ),
    Currency(
        name="Australian Dollar",
        code="AUD",
        minor_units=2,
        state="active",
        launched_in=1966,
        numeric_code="036",
    ),
    Currency(
        name="Azerbaijan Manat",
        code="AZN",
        minor_units=2,
        state="active",
        launched_in=1992,
        numeric_code="944",
    ),
    Currency(
        name="Bahamian Dollar",
        code="BSD",
        minor_units=2,
        state="active",
        launched_in=1966,
        numeric_code="044",
    ),
    Currency(
        name="Bahraini Dinar",
        code="BHD",
        minor_units=3,
        state="active",
        launched_in=1965,
        numeric_code="048",
    ),
    Currency(
        name="Taka",
        code="BDT",
        minor_units=2,
        state="active",
        launched_in=1972,
        numeric_code="050",
    ),
    Currency(
        name="Barbados Dollar",
        code="BBD",
        minor_units=2,
        state="active",
        launched_in=1973,
        numeric_code="052",
    ),
    Currency(
        name="Belarusian Ruble",
        code="BYN",
        minor_units=2,
        state="active",
        launched_in=2016,
        numeric_code="933",
    ),
    Currency(
        name="Belize Dollar",
        code="BZD",
        minor_units=2,
        state="active",
        launched_in=1973,
        numeric_code="084",
    ),
    Currency(
        name="Bermudian Dollar",
        code="BMD",
        minor_units=2,
        state="active",
        launched_in=1970,
        numeric_code="060",
    ),
    Currency(
        name="Indian Rupee",
        code="INR",
        minor_units=2,
        state="active",
        launched_in=1947,
        numeric_code="356",
    ),
    Currency(
        name="Ngultrum",
        code="BTN",
        minor_units=2,
        state="active",
        launched_in=1974,
        numeric_code="064",
    ),
    Currency(
        name="Bolivian peso",
        code="BOP",
        minor_units=2,
        state="inactive",
        launched_in=1963,
        numeric_code=None,
    ),
    Currency(
        name="Boliviano",
        code="BOB",
        minor_units=2,
        state="active",
        launched_in=1986,
        numeric_code="068",
    ),
    Currency(
        name="Pula",
        code="BWP",
        minor_units=2,
        state="active",
        launched_in=1976,
        numeric_code="072",
    ),
    Currency(
        name="Norwegian Krone",
        code="NOK",
        minor_units=2,
        state="active",
        launched_in=1875,
        numeric_code="578",
    ),
    Currency(
        name="Brazilian Real",
        code="BRL",
        minor_units=2,
        state="active",
        launched_in=1994,
        numeric_code="986",
    ),
    Currency(
        name="Brunei Dollar",
        code="BND",
        minor_units=2,
        state="active",
        launched_in=1967,
        numeric_code="096",
    ),
    Currency(
        name="Bulgarian Lev",
        code="BGN",
        minor_units=2,
        state="active",
        launched_in=1999,
        numeric_code="975",
    ),
    Currency(
        name="Burundi Franc",
        code="BIF",
        minor_units=0,
        state="active",
        launched_in=1960,
        numeric_code="108",
    ),
    Currency(
        name="Cabo Verde Escudo",
        code="CVE",
        minor_units=2,
        state="active",
        launched_in=1975,
        numeric_code="132",
    ),
    Currency(
        name="Riel",
        code="KHR",
        minor_units=2,
        state="active",
        launched_in=1980,
        numeric_code="116",
    ),
    Currency(
        name="Canadian Dollar",
        code="CAD",
        minor_units=2,
        state="active",
        launched_in=1858,
        numeric_code="124",
    ),
    Currency(
        name="Cayman Islands Dollar",
        code="KYD",
        minor_units=2,
        state="active",
        launched_in=1972,
        numeric_code="136",
    ),
    Currency(
        name="Chilean Peso",
        code="CLP",
        minor_units=0,
        state="active",
        launched_in=1925,
        numeric_code="152",
    ),
    Currency(
        name="Yuan Renminbi",
        code="CNY",
        minor_units=2,
        state="active",
        launched_in=1948,
        numeric_code="156",
    ),
    Currency(
        name="Colombian Peso",
        code="COP",
        minor_units=2,
        state="active",
        launched_in=1810,
        numeric_code="170",
    ),
    Currency(
        name="Comorian Franc ",
        code="KMF",
        minor_units=0,
        state="active",
        launched_in=1967,
        numeric_code="174",
    ),
    Currency(
        name="Congolese Franc",
        code="CDF",
        minor_units=2,
        state="active",
        launched_in=1997,
        numeric_code="976",
    ),
    Currency(
        name="New Zealand Dollar",
        code="NZD",
        minor_units=2,
        state="active",
        launched_in=1967,
        numeric_code="554",
    ),
    Currency(
        name="Costa Rican Colon",
        code="CRC",
        minor_units=2,
        state="active",
        launched_in=1896,
        numeric_code="188",
    ),
    Currency(
        name="CFA Franc BCEAO",
        code="XOF",
        minor_units=0,
        state="active",
        launched_in=1945,
        numeric_code="952",
    ),
    Currency(
        name="Cuban Peso",
        code="CUP",
        minor_units=2,
        state="active",
        launched_in=1915,
        numeric_code="192",
    ),
    Currency(
        name="Netherlands Antillean Guilder",
        code="ANG",
        minor_units=2,
        state="active",
        launched_in=2010,
        numeric_code="532",
    ),
    Currency(
        name="Czech Koruna",
        code="CZK",
        minor_units=2,
        state="active",
        launched_in=1993,
        numeric_code="203",
    ),
    Currency(
        name="Danish Krone",
        code="DKK",
        minor_units=2,
        state="active",
        launched_in=1875,
        numeric_code="208",
    ),
    Currency(
        name="Djibouti Franc",
        code="DJF",
        minor_units=0,
        state="active",
        launched_in=1949,
        numeric_code="262",
    ),
    Currency(
        name="Dominican Peso",
        code="DOP",
        minor_units=2,
        state="active",
        launched_in=1844,
        numeric_code="214",
    ),
    Currency(
        name="Egyptian Pound",
        code="EGP",
        minor_units=2,
        state="active",
        launched_in=1834,
        numeric_code="818",
    ),
    Currency(
        name="El Salvador Colon",
        code="SVC",
        minor_units=2,
        state="active",
        launched_in=2001,
        numeric_code="222",
    ),
    Currency(
        name="Nakfa",
        code="ERN",
        minor_units=2,
        state="active",
        launched_in=1997,
        numeric_code="232",
    ),
    Currency(
        name="Lilangeni",
        code="SZL",
        minor_units=2,
        state="active",
        launched_in=1974,
        numeric_code="748",
    ),
    Currency(
        name="Ethiopian Birr",
        code="ETB",
        minor_units=2,
        state="active",
        launched_in=1893,
        numeric_code="230",
    ),
    Currency(
        name="Falkland Islands Pound",
        code="FKP",
        minor_units=2,
        state="active",
        launched_in=1899,
        numeric_code="238",
    ),
    Currency(
        name="Fiji Dollar",
        code="FJD",
        minor_units=2,
        state="active",
        launched_in=1969,
        numeric_code="242",
    ),
    Currency(
        name="Dalasi",
        code="GMD",
        minor_units=2,
        state="active",
        launched_in=1971,
        numeric_code="270",
    ),
    Currency(
        name="Lari",
        code="GEL",
        minor_units=2,
        state="active",
        launched_in=1995,
        numeric_code="981",
    ),
    Currency(
        name="Ghana Cedi",
        code="GHS",
        minor_units=2,
        state="active",
        launched_in=2007,
        numeric_code="936",
    ),
    Currency(
        name="Gibraltar Pound",
        code="GIP",
        minor_units=2,
        state="active",
        launched_in=1927,
        numeric_code="292",
    ),
    Currency(
        name="Quetzal",
        code="GTQ",
        minor_units=2,
        state="active",
        launched_in=1925,
        numeric_code="320",
    ),
    Currency(
        name="Pound Sterling",
        code="GBP",
        minor_units=2,
        state="active",
        launched_in=1694,
        numeric_code="826",
    ),
    Currency(
        name="Guinean Franc",
        code="GNF",
        minor_units=0,
        state="active",
        launched_in=1985,
        numeric_code="324",
    ),
    Currency(
        name="Guyana Dollar",
        code="GYD",
        minor_units=2,
        state="active",
        launched_in=1839,
        numeric_code="328",
    ),
    Currency(
        name="Gourde",
        code="HTG",
        minor_units=2,
        state="active",
        launched_in=1813,
        numeric_code="332",
    ),
    Currency(
        name="Lempira",
        code="HNL",
        minor_units=2,
        state="active",
        launched_in=1931,
        numeric_code="340",
    ),
    Currency(
        name="Hong Kong Dollar",
        code="HKD",
        minor_units=2,
        state="active",
        launched_in=1863,
        numeric_code="344",
    ),
    Currency(
        name="Forint",
        code="HUF",
        minor_units=2,
        state="active",
        launched_in=1946,
        numeric_code="348",
    ),
    Currency(
        name="Iceland Krona",
        code="ISK",
        minor_units=0,
        state="active",
        launched_in=1874,
        numeric_code="352",
    ),
    Currency(
        name="Rupiah",
        code="IDR",
        minor_units=2,
        state="active",
        launched_in=1946,
        numeric_code="360",
    ),
    Currency(
        name="Iranian Rial",
        code="IRR",
        minor_units=2,
        state="active",
        launched_in=1932,
        numeric_code="364",
    ),
    Currency(
        name="Iraqi Dinar",
        code="IQD",
        minor_units=3,
        state="active",
        launched_in=1932,
        numeric_code="368",
    ),
    Currency(
        name="New Israeli Sheqel",
        code="ILS",
        minor_units=2,
        state="active",
        launched_in=1986,
        numeric_code="376",
    ),
    Currency(
        name="Jamaican Dollar",
        code="JMD",
        minor_units=2,
        state="active",
        launched_in=1969,
        numeric_code="388",
    ),
    Currency(
        name="Yen",
        code="JPY",
        minor_units=0,
        state="active",
        launched_in=1871,
        numeric_code="392",
    ),
    Currency(
        name="Jordanian Dinar",
        code="JOD",
        minor_units=3,
        state="active",
        launched_in=1949,
        numeric_code="400",
    ),
    Currency(
        name="Tenge",
        code="KZT",
        minor_units=2,
        state="active",
        launched_in=1993,
        numeric_code="398",
    ),
    Currency(
        name="Kenyan Shilling",
        code="KES",
        minor_units=2,
        state="active",
        launched_in=1966,
        numeric_code="404",
    ),
    Currency(
        name="North Korean Won",
        code="KPW",
        minor_units=2,
        state="active",
        launched_in=1947,
        numeric_code="408",
    ),
    Currency(
        name="Won",
        code="KRW",
        minor_units=0,
        state="active",
        launched_in=1945,
        numeric_code="410",
    ),
    Currency(
        name="Kuwaiti Dinar",
        code="KWD",
        minor_units=3,
        state="active",
        launched_in=1961,
        numeric_code="414",
    ),
    Currency(
        name="Som",
        code="KGS",
        minor_units=2,
        state="active",
        launched_in=1993,
        numeric_code="417",
    ),
    Currency(
        name="Lao Kip",
        code="LAK",
        minor_units=2,
        state="active",
        launched_in=1952,
        numeric_code="418",
    ),
    Currency(
        name="Lebanese Pound",
        code="LBP",
        minor_units=2,
        state="active",
        launched_in=1924,
        numeric_code="422",
    ),
    Currency(
        name="Loti",
        code="LSL",
        minor_units=2,
        state="active",
        launched_in=1980,
        numeric_code="426",
    ),
    Currency(
        name="Rand",
        code="ZAR",
        minor_units=2,
        state="active",
        launched_in=1961,
        numeric_code="710",
    ),
    Currency(
        name="Liberian Dollar",
        code="LRD",
        minor_units=2,
        state="active",
        launched_in=1847,
        numeric_code="430",
    ),
    Currency(
        name="Libyan Dinar",
        code="LYD",
        minor_units=3,
        state="active",
        launched_in=1951,
        numeric_code="434",
    ),
    Currency(
        name="Swiss Franc",
        code="CHF",
        minor_units=2,
        state="active",
        launched_in=1798,
        numeric_code="756",
    ),
    Currency(
        name="Pataca",
        code="MOP",
        minor_units=2,
        state="active",
        launched_in=1901,
        numeric_code="446",
    ),
    Currency(
        name="Denar",
        code="MKD",
        minor_units=2,
        state="active",
        launched_in=1992,
        numeric_code="807",
    ),
    Currency(
        name="Malaysian Ringgit",
        code="MYR",
        minor_units=2,
        state="active",
        launched_in=1967,
        numeric_code="458",
    ),
    Currency(
        name="Rufiyaa",
        code="MVR",
        minor_units=2,
        state="active",
        launched_in=1947,
        numeric_code="462",
    ),
    Currency(
        name="Mauritius Rupee",
        code="MUR",
        minor_units=2,
        state="active",
        launched_in=1876,
        numeric_code="480",
    ),
    Currency(
        name="Mexican Peso",
        code="MXN",
        minor_units=2,
        state="active",
        launched_in=1821,
        numeric_code="484",
    ),
    Currency(
        name="Moldovan Leu",
        code="MDL",
        minor_units=2,
        state="active",
        launched_in=1993,
        numeric_code="498",
    ),
    Currency(
        name="Tugrik",
        code="MNT",
        minor_units=2,
        state="active",
        launched_in=1925,
        numeric_code="496",
    ),
    Currency(
        name="Moroccan Dirham",
        code="MAD",
        minor_units=2,
        state="active",
        launched_in=1959,
        numeric_code="504",
    ),
    Currency(
        name="Mozambique Metical",
        code="MZN",
        minor_units=2,
        state="active",
        launched_in=1980,
        numeric_code="943",
    ),
    Currency(
        name="Kyat",
        code="MMK",
        minor_units=2,
        state="active",
        launched_in=1989,
        numeric_code="104",
    ),
    Currency(
        name="Namibia Dollar",
        code="NAD",
        minor_units=2,
        state="active",
        launched_in=1993,
        numeric_code="516",
    ),
    Currency(
        name="Nepalese Rupee",
        code="NPR",
        minor_units=2,
        state="active",
        launched_in=1932,
        numeric_code="524",
    ),
    Currency(
        name="Rial Omani",
        code="OMR",
        minor_units=3,
        state="active",
        launched_in=1970,
        numeric_code="512",
    ),
    Currency(
        name="Pakistan Rupee",
        code="PKR",
        minor_units=2,
        state="active",
        launched_in=1947,
        numeric_code="586",
    ),
    Currency(
        name="Philippine Peso",
        code="PHP",
        minor_units=2,
        state="active",
        launched_in=1949,
        numeric_code="608",
    ),
    Currency(
        name="Zloty",
        code="PLN",
        minor_units=2,
        state="active",
        launched_in=1924,
        numeric_code="985",
    ),
    Currency(
        name="Qatari Rial",
        code="QAR",
        minor_units=2,
        state="active",
        launched_in=1973,
        numeric_code="634",
    ),
    Currency(
        name="Romanian Leu",
        code="RON",
        minor_units=2,
        state="active",
        launched_in=1867,
        numeric_code="946",
    ),
    Currency(
        name="Russian Ruble",
        code="RUB",
        minor_units=2,
        state="active",
        launched_in=1992,
        numeric_code="643",
    ),
    Currency(
        name="Rwanda Franc",
        code="RWF",
        minor_units=0,
        state="active",
        launched_in=1964,
        numeric_code="646",
    ),
    Currency(
        name="Saint Helena Pound",
        code="SHP",
        minor_units=2,
        state="active",
        launched_in=1971,
        numeric_code="654",
    ),
    Currency(
        name="Saudi Riyal",
        code="SAR",
        minor_units=2,
        state="active",
        launched_in=1932,
        numeric_code="682",
    ),
    Currency(
        name="Serbian Dinar",
        code="RSD",
        minor_units=2,
        state="active",
        launched_in=2003,
        numeric_code="941",
    ),
    Currency(
        name="Seychelles Rupee",
        code="SCR",
        minor_units=2,
        state="active",
        launched_in=1914,
        numeric_code="690",
    ),
    Currency(
        name="Leone",
        code="SLL",
        minor_units=2,
        state="active",
        launched_in=1964,
        numeric_code="694",
    ),
    Currency(
        name="Leone",
        code="SLE",
        minor_units=2,
        state="active",
        launched_in=1964,
        numeric_code="925",
    ),
    Currency(
        name="Singapore Dollar",
        code="SGD",
        minor_units=2,
        state="active",
        launched_in=1965,
        numeric_code="702",
    ),
    Currency(
        name="Solomon Islands Dollar",
        code="SBD",
        minor_units=2,
        state="active",
        launched_in=1977,
        numeric_code="090",
    ),
    Currency(
        name="Somali Shilling",
        code="SOS",
        minor_units=2,
        state="active",
        launched_in=1962,
        numeric_code="706",
    ),
    Currency(
        name="South Sudanese Pound",
        code="SSP",
        minor_units=2,
        state="active",
        launched_in=2011,
        numeric_code="728",
    ),
    Currency(
        name="Sri Lanka Rupee",
        code="LKR",
        minor_units=2,
        state="active",
        launched_in=1872,
        numeric_code="144",
    ),
    Currency(
        name="Sudanese Pound",
        code="SDG",
        minor_units=2,
        state="active",
        launched_in=1956,
        numeric_code="938",
    ),
    Currency(
        name="Surinam Dollar",
        code="SRD",
        minor_units=2,
        state="active",
        launched_in=2004,
        numeric_code="968",
    ),
    Currency(
        name="Swedish Krona",
        code="SEK",
        minor_units=2,
        state="active",
        launched_in=1873,
        numeric_code="752",
    ),
    Currency(
        name="Syrian Pound",
        code="SYP",
        minor_units=2,
        state="active",
        launched_in=1919,
        numeric_code="760",
    ),
    Currency(
        name="New Taiwan Dollar",
        code="TWD",
        minor_units=2,
        state="active",
        launched_in=1949,
        numeric_code="901",
    ),
    Currency(
        name="Somoni",
        code="TJS",
        minor_units=2,
        state="active",
        launched_in=2000,
        numeric_code="972",
    ),
    Currency(
        name="Tanzanian Shilling",
        code="TZS",
        minor_units=2,
        state="active",
        launched_in=1966,
        numeric_code="834",
    ),
    Currency(
        name="Baht",
        code="THB",
        minor_units=2,
        state="active",
        launched_in=1897,
        numeric_code="764",
    ),
    Currency(
        name="Trinidad and Tobago Dollar",
        code="TTD",
        minor_units=2,
        state="active",
        launched_in=1964,
        numeric_code="780",
    ),
    Currency(
        name="Tunisian Dinar",
        code="TND",
        minor_units=3,
        state="active",
        launched_in=1958,
        numeric_code="788",
    ),
    Currency(
        name="Turkish Lira",
        code="TRY",
        minor_units=2,
        state="active",
        launched_in=1923,
        numeric_code="949",
    ),
    Currency(
        name="Turkmenistan New Manat",
        code="TMT",
        minor_units=2,
        state="active",
        launched_in=2009,
        numeric_code="934",
    ),
    Currency(
        name="Uganda Shilling",
        code="UGX",
        minor_units=0,
        state="active",
        launched_in=1966,
        numeric_code="800",
    ),
    Currency(
        name="Hryvnia",
        code="UAH",
        minor_units=2,
        state="active",
        launched_in=1996,
        numeric_code="980",
    ),
    Currency(
        name="UAE Dirham",
        code="AED",
        minor_units=2,
        state="active",
        launched_in=1971,
        numeric_code="784",
    ),
    Currency(
        name="Uzbekistan Sum",
        code="UZS",
        minor_units=2,
        state="active",
        launched_in=1994,
        numeric_code="860",
    ),
    Currency(
        name="Bolívar Soberano",
        code="VES",
        minor_units=2,
        state="active",
        launched_in=2008,
        numeric_code="928",
    ),
    Currency(
        name="Bolívar Soberano",
        code="VED",
        minor_units=2,
        state="active",
        launched_in=2008,
        numeric_code="926",
    ),
    Currency(
        name="Yemeni Rial",
        code="YER",
        minor_units=2,
        state="active",
        launched_in=1990,
        numeric_code="886",
    ),
    Currency(
        name="Zambian Kwacha",
        code="ZMW",
        minor_units=2,
        state="active",
        launched_in=1968,
        numeric_code="967",
    ),
    Currency(
        name="Zimbabwe Dollar",
        code="ZWL",
        minor_units=2,
        state="active",
        launched_in=2009,
        numeric_code="932",
    ),
    Currency(
        name="Dong",
        code="VND",
        minor_units=0,
        state="active",
        launched_in=1946,
        numeric_code="704",
    ),
    Currency(
        name="Naira",
        code="NGN",
        minor_units=2,
        state="active",
        launched_in=1973,
        numeric_code="566",
    ),
    Currency(
        name="Vatu",
        code="VUV",
        minor_units=0,
        state="active",
        launched_in=1981,
        numeric_code="548",
    ),
    Currency(
        name="Balboa",
        code="PAB",
        minor_units=2,
        state="active",
        launched_in=1904,
        numeric_code="590",
    ),
    Currency(
        name="Kina",
        code="PGK",
        minor_units=2,
        state="active",
        launched_in=1975,
        numeric_code="598",
    ),
    Currency(
        name="Guarani",
        code="PYG",
        minor_units=0,
        state="active",
        launched_in=1943,
        numeric_code="600",
    ),
    Currency(
        name="Sol",
        code="PEN",
        minor_units=2,
        state="active",
        launched_in=1991,
        numeric_code="604",
    ),
    Currency(
        name="Tala",
        code="WST",
        minor_units=2,
        state="active",
        launched_in=1967,
        numeric_code="882",
    ),
    Currency(
        name="Dobra",
        code="STN",
        minor_units=2,
        state="active",
        launched_in=2018,
        numeric_code="930",
    ),
    Currency(
        name="Malagasy Ariary",
        code="MGA",
        minor_units=2,
        state="active",
        launched_in=2005,
        numeric_code="969",
    ),
    Currency(
        name="Malawi Kwacha",
        code="MWK",
        minor_units=2,
        state="active",
        launched_in=1971,
        numeric_code="454",
    ),
    Currency(
        name="Ouguiya",
        code="MRU",
        minor_units=2,
        state="active",
        launched_in=2018,
        numeric_code="929",
    ),
    Currency(
        name="Peso Uruguayo",
        code="UYU",
        minor_units=2,
        state="active",
        launched_in=1896,
        numeric_code="858",
    ),
    Currency(
        name="Pa'anga",
        code="TOP",
        minor_units=2,
        state="active",
        launched_in=1967,
        numeric_code="776",
    ),
    Currency(
        name="Nicaraguan Córdoba",
        code="NIO",
        minor_units=2,
        state="active",
        launched_in=1912,
        numeric_code="558",
    ),
    Currency(
        name="Peso Convertible",
        code="CUC",
        minor_units=2,
        state="active",
        launched_in=1994,
        numeric_code="931",
    ),
    Currency(
        name="Convertible Mark",
        code="BAM",
        minor_units=2,
        state="active",
        launched_in=1995,
        numeric_code="977",
    ),
    Currency(
        name="CFP Franc",
        code="XPF",
        state="active",
        numeric_code="953",
        minor_units=0,
        launched_in=1945,
    ),
    Currency(
        name="CFA Franc BEAC",
        code="XAF",
        state="active",
        numeric_code="950",
        minor_units=0,
        launched_in=1945,
    ),
]
